BizKitHub
DocsAPI ReferenceIp Info/bff/ip-info/detail
getIp InfoAdmin BFF

/bff/ip-info/detail

Returns detailed information about the requesting IP address including ASN, geolocation and privacy data.

IP InfogetBffIp-infoDetail

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
asnobjectRequired
idstringRequired

Autonomous System Number.

ExampleAS12709
titlestringRequired

ASN organization name.

ExampleMelita Limited
hostnamestringRequired

Reverse DNS hostname.

Examplec56-75.i05-15.onvol.net
rangestringRequired

IP CIDR range.

Example88.203.56.0/21
companystringRequired

Company name of IP owner.

ExampleMelita plc
hostedDomainsnumberRequired

Number of domains hosted on this IP.

privacybooleanRequired

Whether the IP is behind a privacy service (VPN/proxy).

anycastbooleanRequired

Whether the IP is an anycast address.

asnTypestringRequired

ASN type: ISP, hosting, business or education.

ExampleISP
abuseContactstringRequired

Abuse contact email.

Exampleabuse@melitacable.com
geoIpobjectRequired
citystringRequired

City name.

ExampleQormi
statestringRequired

State or region.

ExampleQormi
countrystringRequired

Country name.

ExampleMalta
postalstringRequired

Postal code.

ExampleQRM
localTimestringRequired

Local time at the IP location.

Example01:16 PM, Monday, November 25, 2024
timezonestringRequired

IANA timezone identifier.

ExampleEurope/Malta
coordinatesnumber[]Required

GPS coordinates [latitude, longitude].

Response example

application/json
{
  "asn": {
    "id": "AS12709",
    "title": "Melita Limited"
  },
  "hostname": "c56-75.i05-15.onvol.net",
  "range": "88.203.56.0/21",
  "company": "Melita plc",
  "hostedDomains": 0,
  "privacy": false,
  "anycast": false,
  "asnType": "ISP",
  "abuseContact": "abuse@melitacable.com",
  "geoIp": {
    "city": "Qormi",
    "state": "Qormi",
    "country": "Malta",
    "postal": "QRM",
    "localTime": "01:16 PM, Monday, November 25, 2024",
    "timezone": "Europe/Malta",
    "coordinates": [
      0
    ]
  }
}

Request example

GET /bff/ip-info/detail

get
curl -X GET "https://api.bizkithub.com/bff/ip-info/detail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key